# Authorization API for AWS Cognito (Pulumi Component)
> **Note:** 🚧 This project is currently under construction. Features and documentation may change frequently.

This repository provides a reusable Python package for deploying a secure, fully managed authorization REST API on AWS using Pulumi. The package provisions all necessary AWS resources—including Cognito user pools, Lambda functions, and API Gateway endpoints—to support robust user authentication, authorization, and user management workflows.

**Features:**

* Automated deployment of a RESTful authorization API with Pulumi
* Integration with AWS Cognito for user management and authentication
* Lambda-based handlers for user registration, login, password management, and group assignment
* Token validation and secure API Gateway integration
* Easily configurable for different environments and user pool settings

**Intended Use:** Ideal for teams and projects that need a plug-and-play, cloud-native authorization backend with minimal setup, leveraging infrastructure-as-code best practices.

Getting Started: See the documentation for installation, configuration, and usage examples.